classification
Title: Implement PEP 567
Type: enhancement Stage: resolved
Components: Interpreter Core, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: gvanrossum, miss-islington, yselivanov
Priority: normal Keywords: patch

Created on 2017-12-28 05:20 by yselivanov, last changed 2018-05-23 17:59 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5027 merged yselivanov, 2017-12-28 05:24
PR 5275 merged yselivanov, 2018-01-23 03:36
PR 5286 merged yselivanov, 2018-01-23 20:22
PR 5292 merged yselivanov, 2018-01-24 02:59
PR 5326 merged yselivanov, 2018-01-25 18:39
PR 5350 merged yselivanov, 2018-01-26 21:25
PR 5363 merged yselivanov, 2018-01-27 18:00
PR 5370 closed yselivanov, 2018-01-27 22:45
PR 5483 merged yselivanov, 2018-02-02 02:59
PR 5486 merged miss-islington, 2018-02-02 03:26
PR 5685 merged yselivanov, 2018-02-14 16:13
PR 5699 merged miss-islington, 2018-02-16 16:48
PR 7073 merged yselivanov, 2018-05-23 16:01
PR 7077 merged miss-islington, 2018-05-23 17:35
Messages (19)
msg310451 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 00:11
New changeset f23746a934177c48eff754411aba54c31d6be2f0 by Yury Selivanov in branch 'master':
bpo-32436: Implement PEP 567 (#5027)
https://github.com/python/cpython/commit/f23746a934177c48eff754411aba54c31d6be2f0
msg310452 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 00:12
I'll keep the issue open -- a documentation for the new APIs will be merged in a separate PR in a couple of months.
msg310455 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2018-01-23 01:05
Hopefully sooner?
msg310456 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 01:07
I'll try to find some time after beta-1.  Right now have a few other issues that I have to finish (and also create a PR to make decimal use PEP 567).
msg310457 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2018-01-23 01:32
While you're waiting for code review maybe you can review some other PR?
(Lukasz mentioned that Serhiy seems very busy.)
msg310458 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 01:36
This one: https://github.com/python/cpython/pull/5273? I've left a comment with some questions there. Are there any other urgent PRs?

The main PEP 567 PR has been merged already, btw.
msg310474 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 07:00
New changeset 83c8675edb4fe278c5d930f7865977a5d3c7168a by Yury Selivanov in branch 'master':
bpo-32436: Remove a redundant assert (#5275)
https://github.com/python/cpython/commit/83c8675edb4fe278c5d930f7865977a5d3c7168a
msg310523 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-23 21:26
New changeset 0bad4d63c654d93e1f32ff35026405a3987db5ca by Yury Selivanov in branch 'master':
bpo-32436: Fix potential NULL dereference (#5286)
https://github.com/python/cpython/commit/0bad4d63c654d93e1f32ff35026405a3987db5ca
msg310553 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-24 03:17
New changeset b7a80d543e1e94475ab9c8214f7a9eab4e63c9ab by Yury Selivanov in branch 'master':
bpo-32436: Don't use native popcount() (also fixes bpo-32641) (#5292)
https://github.com/python/cpython/commit/b7a80d543e1e94475ab9c8214f7a9eab4e63c9ab
msg310703 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-25 19:18
New changeset 6ab62920c87930dedc31fe633ecda3e51d3d7503 by Yury Selivanov in branch 'master':
bpo-32436: Fix a refleak; var GC tracking; a GCC warning (#5326)
https://github.com/python/cpython/commit/6ab62920c87930dedc31fe633ecda3e51d3d7503
msg310812 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-26 22:24
New changeset 226e50049da43097d89e9e99f9c55f212d1f7bd5 by Yury Selivanov in branch 'master':
bpo-32436: Make PyContextVar_Get a little bit faster (#5350)
https://github.com/python/cpython/commit/226e50049da43097d89e9e99f9c55f212d1f7bd5
msg310873 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-01-27 18:24
New changeset bc4123b0b380edda774b8bff2fa1bcc96453b440 by Yury Selivanov in branch 'master':
bpo-32436: Use PyThreadState_GET() in all hot paths (GH-5363)
https://github.com/python/cpython/commit/bc4123b0b380edda774b8bff2fa1bcc96453b440
msg311472 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-02-02 03:24
New changeset 55e0839f2672e029c2b96514028c77c31ffbe41f by Yury Selivanov in branch 'master':
bpo-32436: Fix compiler warning (#5483)
https://github.com/python/cpython/commit/55e0839f2672e029c2b96514028c77c31ffbe41f
msg311473 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-02-02 03:58
New changeset 78767786a87b00925506c32b3b55cf65b56ef3d7 by Yury Selivanov (Miss Islington (bot)) in branch '3.7':
bpo-32436: Fix compiler warning (GH-5483) (GH-5486)
https://github.com/python/cpython/commit/78767786a87b00925506c32b3b55cf65b56ef3d7
msg312239 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-02-16 16:47
New changeset bd093355a6aaf2f4ca3ed153e195da57870a55eb by Yury Selivanov in branch 'master':
bpo-32436: Add docs for contextvars (#5685)
https://github.com/python/cpython/commit/bd093355a6aaf2f4ca3ed153e195da57870a55eb
msg312240 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-02-16 16:48
With the basic documentation committed, I'm now closing this issue.
msg312242 - (view) Author: miss-islington (miss-islington) Date: 2018-02-16 17:03
New changeset af6eaae306dce5095a350348432cc8595efc0211 by Miss Islington (bot) in branch '3.7':
bpo-32436: Add docs for contextvars (GH-5685)
https://github.com/python/cpython/commit/af6eaae306dce5095a350348432cc8595efc0211
msg317429 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-23 17:35
New changeset 28b9178023a445b1da2694774c265cd4b7a244ec by Yury Selivanov in branch 'master':
bpo-32436: Document PEP 567 changes to asyncio. (GH-7073)
https://github.com/python/cpython/commit/28b9178023a445b1da2694774c265cd4b7a244ec
msg317433 - (view) Author: miss-islington (miss-islington) Date: 2018-05-23 17:59
New changeset 2fc443c469fb15033b6b96acd727e2e7cc147adc by Miss Islington (bot) in branch '3.7':
bpo-32436: Document PEP 567 changes to asyncio. (GH-7073)
https://github.com/python/cpython/commit/2fc443c469fb15033b6b96acd727e2e7cc147adc
History
Date User Action Args
2018-05-23 17:59:21miss-islingtonsetmessages: + msg317433
2018-05-23 17:35:16miss-islingtonsetpull_requests: + pull_request6707
2018-05-23 17:35:06yselivanovsetmessages: + msg317429
2018-05-23 16:01:18yselivanovsetpull_requests: + pull_request6703
2018-02-16 17:03:20miss-islingtonsetnosy: + miss-islington
messages: + msg312242
2018-02-16 16:48:43yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg312240

stage: patch review -> resolved
2018-02-16 16:48:02miss-islingtonsetpull_requests: + pull_request5488
2018-02-16 16:47:56yselivanovsetmessages: + msg312239
2018-02-14 16:13:18yselivanovsetpull_requests: + pull_request5481
2018-02-02 03:58:21yselivanovsetmessages: + msg311473
2018-02-02 03:26:06miss-islingtonsetpull_requests: + pull_request5316
2018-02-02 03:24:59yselivanovsetmessages: + msg311472
2018-02-02 02:59:19yselivanovsetpull_requests: + pull_request5314
2018-01-27 22:45:52yselivanovsetpull_requests: + pull_request5213
2018-01-27 18:24:22yselivanovsetmessages: + msg310873
2018-01-27 18:00:26yselivanovsetpull_requests: + pull_request5207
2018-01-26 22:24:54yselivanovsetmessages: + msg310812
2018-01-26 21:25:06yselivanovsetpull_requests: + pull_request5197
2018-01-25 19:18:57yselivanovsetmessages: + msg310703
2018-01-25 18:39:22yselivanovsetpull_requests: + pull_request5171
2018-01-24 03:17:06yselivanovsetmessages: + msg310553
2018-01-24 02:59:34yselivanovsetstage: commit review -> patch review
pull_requests: + pull_request5138
2018-01-23 21:26:09yselivanovsetmessages: + msg310523
2018-01-23 20:31:17yselivanovsetstage: patch review -> commit review
2018-01-23 20:22:36yselivanovsetpull_requests: + pull_request5132
2018-01-23 07:00:05yselivanovsetmessages: + msg310474
2018-01-23 03:36:38yselivanovsetpull_requests: + pull_request5120
2018-01-23 01:36:59yselivanovsetmessages: + msg310458
2018-01-23 01:32:09gvanrossumsetmessages: + msg310457
2018-01-23 01:07:20yselivanovsetmessages: + msg310456
2018-01-23 01:05:34gvanrossumsetmessages: + msg310455
2018-01-23 00:12:14yselivanovsetmessages: + msg310452
2018-01-23 00:11:21yselivanovsetmessages: + msg310451
2017-12-28 05:24:23yselivanovsetkeywords: + patch
pull_requests: + pull_request4915
2017-12-28 05:20:05yselivanovcreate